## org.eclipse.m2m.atl.adt.ui.startup
Class ResourceDeltaVisitor

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.startup.ResourceDeltaVisitor

All Implemented Interfaces:
  org.eclipse.core.resources.IResourceDeltaVisitor

    public class ResourceDeltaVisitor

extends java.lang.Object
implements org.eclipse.core.resources.IResourceDeltaVisitor

Resource visitor.

Constructor Summary
`ResourceDeltaVisitor()`

Method Summary
`boolean` `visit(org.eclipse.core.resources.IResourceDelta delta)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceDeltaVisitor

    public ResourceDeltaVisitor()

Method Detail

### visit

    public boolean visit(org.eclipse.core.resources.IResourceDelta delta)
                  throws org.eclipse.core.runtime.CoreException

  Specified by:
    `visit` in interface `org.eclipse.core.resources.IResourceDeltaVisitor`
  Throws:
    `org.eclipse.core.runtime.CoreException`
  See Also:
    `IResourceDeltaVisitor.visit(org.eclipse.core.resources.IResourceDelta)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.